Summary: List based packet handler
Name: iplist
Vendor: Serkan Sakar <uljanow@users.sourceforge.net>
Packager: Timur Kristóf <venemo@fedoraproject.org>
Version: 0.29
Release: 1%{?dist}
Source0: %{name}-%{version}.tar.bz2
License: GPLv2+
Group: Applications/Internet
URL: http://iplist.sourceforge.net

Patch0: iplist-make-it-work.patch

Requires: wget, java >= 1.6
BuildRequires: gcc-c++, zlib-devel, libnfnetlink-devel, libnetfilter_queue-devel, pcre-devel
BuildRequires: desktop-file-utils

%description
iplist is a list based packet handler which uses
the netfilter netlink-queue library (kernel 2.6.14 or 
later). It filters by IP-address and is optimized for 
thousands of IP-address ranges.

%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
ln -s %{_bindir}/consolehelper ${RPM_BUILD_ROOT}/%{_bindir}/ipblock

install -D -p -m 644 ipblock.conf \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/ipblock.conf
install -D -p -m 644 ipblock.lists \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/ipblock.lists
install -D -p -m 644 fedora/ipblock.pam \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/pam.d/ipblock
install -D -p -m 644 fedora/ipblock.security \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/security/console.apps/ipblock
install -D -p -m 755 fedora/ipblock.init \
	${RPM_BUILD_ROOT}/%{_initrddir}/ipblock
install -D -p -m 755 debian/ipblock.cron.daily \
	${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily/ipblock
install -D -p -m 644 fedora/ipblock.desktop \
	${RPM_BUILD_ROOT}/%{_datadir}/applications/ipblock.desktop
install -D -p -m 644 ipblock.png \
	${RPM_BUILD_ROOT}/%{_datadir}/pixmaps/ipblock.png

install -D -p -m 644 iplist.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8/iplist.8
install -D -p -m 644 ipblock.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8/ipblock.8
install -D -p -m 644 allow.p2p ${RPM_BUILD_ROOT}/%{_localstatedir}/cache/iplist/allow.p2p

make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-validate %{buildroot}/%{_datadir}/applications/ipblock.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
chkconfig --add ipblock

%preun
chkconfig --del ipblock

%postun
update-desktop-database -q

%files
%defattr(-,root,root)
%doc debian/copyright changelog ipblock.lists allow.p2p ipblock.conf
%attr(0755, root, root) %{_sbindir}/iplist
%attr(0755, root, root) %{_sbindir}/ipblock
%attr(0755, root, root) %{_bindir}/ipblock
%attr(0644, root, root) %{_mandir}/man8/iplist.8*
%attr(0644, root, root) %{_mandir}/man8/ipblock.8*
%attr(0755, root, root) %dir %{_localstatedir}/cache/iplist
%attr(0644, root, root) %{_localstatedir}/cache/iplist/allow.p2p
%attr(0644, root, root) %config %{_sysconfdir}/ipblock.conf
%attr(0644, root, root) %config %{_sysconfdir}/ipblock.lists
%attr(0644, root, root) %{_sysconfdir}/pam.d/ipblock
%attr(0644, root, root) %{_sysconfdir}/security/console.apps/ipblock
%attr(0755, root, root) %{_sysconfdir}/cron.daily/ipblock
%attr(0755, root, root) %{_initrddir}/ipblock
%attr(0644, root, root) %{_datadir}/java/ipblockUI.jar
%attr(0644, root, root) %{_datadir}/applications/ipblock.desktop
%attr(0644, root, root) %{_datadir}/pixmaps/ipblock.png

%changelog
* Fri May 20 2010 Timur Kristóf <venemo@fedoraproject.org> 0.29-1
- Made it build with the new version of GCC and libnetfilter_queue
- Fixed some packaging issues

* Fri Nov 07 2008 Serkan Sakar <uljanow@users.sourceforge.net> 0.29-0.fedora13
- fixed rpmlint errors

